Subject: bug#53839: closed (Re: bug#53839: 29.0.50; Strange bug causes tool bar to be overwritten)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Feb 2022 09:23:03 +0000

Your bug report

#53839: 29.0.50; Strange bug causes tool bar to be overwritten

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53839: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53839
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53839: 29.0.50; Strange bug causes tool bar to be overwritten
From: Po Lu <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked]
Date: Tue, 08 Feb 2022 17:22:07 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

martin rudalics <[email-masked]> writes:

>> I fixed the calls to widget_update_wm_size_hints on master, and it fixes
>> the bug, so if you're happy with that fix I'll close this bug now.

> If it works for you, close it.  I do not synch with master these days
> because of Bug#52709.

Thanks, closing.

Subject: 29.0.50; Strange bug causes tool bar to be overwritten
From: Po Lu <[email-masked]>
To: [email-masked]
Date: Mon, 07 Feb 2022 17:15:15 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On any Motif or Lucid build, start Emacs with `-q', making sure that the
splash screen is displayed.  A single pixel at the bottom of the tool
bar will be overwritten by the window underneath it, until the frame is
resized again.

If I comment out this part of xfns.c:

      /* As long as tool_bar_resized is false, effectively try to change
	 F's native height.  */
      if (NILP (fullscreen) || EQ (fullscreen, Qfullwidth))
	adjust_frame_size (f, FRAME_TEXT_WIDTH (f), FRAME_TEXT_HEIGHT (f),
			   1, false, Qtool_bar_lines);
      else

The problem goes away, but I can't figure out why that is.

Thanks.